options.h File Reference
`#include <wibble/commandline/core.h>`
`#include <string>`
`#include <vector>`
Include dependency graph for options.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | wibble::commandline::Bool
struct | wibble::commandline::Int
struct | wibble::commandline::String
struct | wibble::commandline::ExistingFile
class | wibble::commandline::Option
| Interface for a parser for one commandline option. More...
class | wibble::commandline::BoolOption
| Boolean option. More...
class | wibble::commandline::SingleOption< T >
class | wibble::commandline::SingleOptvalOption< T >
| Single option whose value can be or not be specified. More...
class | wibble::commandline::VectorOption< T >
class | wibble::commandline::OptionGroup
| Group related commandline options. More...

## Namespaces

| wibble
| wibble::commandline

## Typedefs

typedef SingleOption< String > | wibble::commandline::StringOption
typedef SingleOptvalOption< String > | wibble::commandline::OptvalStringOption
typedef SingleOption< Int > | wibble::commandline::IntOption
typedef SingleOptvalOption< Int > | wibble::commandline::OptvalIntOption
typedef SingleOption< ExistingFile > | wibble::commandline::ExistingFileOption
| Commandline option with a mandatory argument naming a file which must exist. More...
typedef SingleOptvalOption< ExistingFile > | wibble::commandline::OptvalExistingFileOption
| Commandline option with an optional argument naming a file which must exist. More...